Mailrelay API Reference

Get sent campaign's impressions

GET https://{account}/api/v1/sent_campaigns/{id}/impressions

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Get sent campaign's impressions.

Pagination

This is a paginated resource. You can optionally send two query parameters:

Parameter Description
page The page that you want to retrieve. It starts with 1.
per_page The number of records returned per page. The max allowed value for this resource is 10000.

Parameters

NameTypeRequiredDescription
id integer Yes ID of the record
unique boolean No Return unique impressions grouped by sent email
page integer No Page number
per_page integer No Number of records per page
q[browser_eq] string No Search: Browser equals
q[browser_cont] string No Search: Browser contains
q[city_eq] string No Search: City equals
q[city_cont] string No Search: City contains
q[state_eq] string No Search: State equals
q[state_cont] string No Search: State contains
q[country_eq] string No Search: Country equals
q[country_cont] string No Search: Country contains
q[ip_eq] string No Search: IP equals
q[ip_cont] string No Search: IP contains
q[s] string No Allows ordering the records based on a specific field. You may optionally append "asc" or "desc" to define the direction. Example: "browser desc"

Responses

StatusDescription
200 Success
400 The request is invalid. Check the query parameters, including that per_page isn't above the maximum allowed for this resource.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.
404 Couldn't find record with provided ID.

Response fields

NameTypeDescription
sent_campaign_id integer Sent campaign
sent_email_id integer Sent email
subscriber_id integer Subscriber
email string Email
browser string Browser
user_agent string User agent
latitude number Latitude
longitude number Longitude
city string City
state string State
country string Country
ip string IP
os string OS
created_at string Created at

Response headers

NameTypeDescription
Per-Page integer Number of records returned per page.
Total integer Total number of records matching the request, ignoring pagination.
Link string RFC 5988 links to the first, prev, next and last pages. Only the applicable relations are included.